Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 990748 - headphones doesn't work on Creative Labs [SB X-Fi Xtreme Audio]
Summary: headphones doesn't work on Creative Labs [SB X-Fi Xtreme Audio]
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-31 22:03 UTC by Jakub Prokes
Modified: 2013-10-08 16:35 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-10-08 16:35:25 UTC


Attachments (Terms of Use)
asound.state (deleted)
2013-08-07 20:25 UTC, Jakub Prokes
no flags Details

Description Jakub Prokes 2013-07-31 22:03:14 UTC
Description of problem:
Front panel (headphones jack switch) is inverted. When I plug headphones in, signal is muted. When jack is not plguged in, there is signal on headphones connector.

Version-Release number of selected component (if applicable):
Linux edgar-localdomain 3.10.3-300.fc19.x86_64 #1 SMP Fri Jul 26 00:00:58 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux



Additional info:

http://www.alsa-project.org/db/?f=2be69cb9f3bbfc3e7d3097ce0034e377479da43e

[ikoulee@edgar-localdomain ~]$ lsmod | grep snd
snd_hda_codec_ca0110    12551  1 
snd_hda_codec_hdmi     41193  2 
snd_hda_intel          43836  9 
snd_hda_codec         179124  3 snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec_ca0110
snd_hwdep              17650  1 snd_hda_codec
snd_seq                60752  0 
snd_seq_device         14136  1 snd_seq
snd_pcm                98071  4 snd_hda_codec_hdmi,snd_hda_codec,snd_hda_intel
snd_page_alloc         18268  2 snd_pcm,snd_hda_intel
snd_timer              28698  2 snd_pcm,snd_seq
snd                    75292  25 snd_hwdep,snd_timer,snd_hda_codec_hdmi,snd_pcm,snd_seq,snd_hda_codec,snd_hda_intel,snd_seq_device
soundcore              14491  1 snd

[ikoulee@edgar-localdomain ~]$ lspci | grep -i audio
01:00.1 Audio device: NVIDIA Corporation GF114 HDMI Audio Controller (rev a1)
02:00.0 PCI bridge: Creative Labs [SB X-Fi Xtreme Audio] CA0110-IBG PCI to PCIe Bridge
03:00.0 Audio device: Creative Labs [SB X-Fi Xtreme Audio] CA0110-IBG

If you want/need some aditional info don't be affraid to ask me.

Comment 1 Raymond 2013-08-03 12:01:38 UTC
have you plugged the headphone ?

did you plug in any speaker to side Jack ?

control.30 {
		iface CARD
		name 'Line Out Front Jack'
		value false
		comment {
			access read
			type BOOLEAN
			count 1
		}
	}
	control.31 {
		iface CARD
		name 'Line Out Surround Jack'
		value false
		comment {
			access read
			type BOOLEAN
			count 1
		}
	}
	control.32 {
		iface CARD
		name 'Line Out CLFE Jack'
		value false
		comment {
			access read
			type BOOLEAN
			count 1
		}
	}
	control.33 {
		iface CARD
		name 'Line Out Side Jack'
		value true
		comment {
			access read
			type BOOLEAN
			count 1
		}
	}
	control.34 {
		iface CARD
		name 'Front Headphone Jack'
		value false
		comment {
			access read
			type BOOLEAN
			count 1
		}
	}

Comment 2 Jakub Prokes 2013-08-07 20:05:32 UTC
Hi Raymond,

Side jack works fine, when headphones are unplugged then it play, if I plugged it in then side jack is muted.

If is side jack used or not it has no influence to headphone jack.

Jakub

Comment 3 Jakub Prokes 2013-08-07 20:25:51 UTC
Created attachment 784133 [details]
asound.state

There is asound.state, after execution command "sudo alsactl store" with three jacks plugged in (Front headphones and MIC and side jack to speakers).

Comment 4 Josh Boyer 2013-09-18 20:41:27 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 5 Josh Boyer 2013-10-08 16:35:25 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.